
apiVersion: v1
controlPlane:
  architecture: arm64
  hyperthreading: Enabled
  name: master
  platform:
    baremetal: {}
  replicas: 3
compute:
- architecture: arm64
  hyperthreading: Enabled
  name: worker
  platform: {}
  replicas: 2
metadata:
  name: adistefa-105d
platform:
  baremetal:
    apiVIP: 192.168.90.219
    ingressVIP: 192.168.90.8
    provisioningNetworkCIDR: 172.22.219.0/24
    provisioningBridge: br-distefa-105d
    hosts:
    - name: master-00
      role: master
      bmc:
        address: ipmi://openshift-qe-036.mgmt.arm.eng.rdu2.redhat.com/
        disableCertificateVerification: true
        username: HIDDEN
        password: HIDDEN
      bootMACAddress: 00:1b:21:e4:63:30
      rootDeviceHints:
        deviceName: "/dev/nvme0n1"
      networkConfig:
        interfaces:
        - name: enP2p2s0f0
          type: ethernet
          state: up
          ipv4:
            enabled: true
            dhcp: true
          ipv6:
            enabled: true
            dhcp: true
        - name: enP2p2s0f1
          type: ethernet
          state: up
          ipv4:
            enabled: false
            dhcp: false
          ipv6:
            enabled: false
            dhcp: false
        - name: enP4p3s0u2u3c2
          type: ethernet
          state: up
          ipv4:
            enabled: false
            dhcp: false
          ipv6:
            enabled: false
            dhcp: false
    - name: master-01
      role: master
      bmc:
        address: ipmi://openshift-qe-037.mgmt.arm.eng.rdu2.redhat.com/
        disableCertificateVerification: true
        username: HIDDEN
        password: HIDDEN
      bootMACAddress: 00:1b:21:e4:37:a7
      rootDeviceHints:
        deviceName: "/dev/nvme0n1"
      networkConfig:
        interfaces:
        - name: enP2p2s0f0
          type: ethernet
          state: up
          ipv4:
            enabled: true
            dhcp: true
          ipv6:
            enabled: true
            dhcp: true
        - name: enP2p2s0f1
          type: ethernet
          state: up
          ipv4:
            enabled: false
            dhcp: false
          ipv6:
            enabled: false
            dhcp: false
        - name: enP4p3s0u2u3c2
          type: ethernet
          state: up
          ipv4:
            enabled: false
            dhcp: false
          ipv6:
            enabled: false
            dhcp: false
    - name: master-02
      role: master
      bmc:
        address: ipmi://openshift-qe-038.mgmt.arm.eng.rdu2.redhat.com/
        disableCertificateVerification: true
        username: HIDDEN
        password: HIDDEN
      bootMACAddress: a0:36:9f:30:04:aa
      rootDeviceHints:
        deviceName: "/dev/nvme0n1"
      networkConfig:
        interfaces:
        - name: enP2p2s0f0
          type: ethernet
          state: up
          ipv4:
            enabled: true
            dhcp: true
          ipv6:
            enabled: true
            dhcp: true
        - name: enP2p2s0f1
          type: ethernet
          state: up
          ipv4:
            enabled: false
            dhcp: false
          ipv6:
            enabled: false
            dhcp: false
        - name: enP4p3s0u2u3c2
          type: ethernet
          state: up
          ipv4:
            enabled: false
            dhcp: false
          ipv6:
            enabled: false
            dhcp: false
    - name: worker-00
      role: worker
      bmc:
        address: ipmi://openshift-qe-039.mgmt.arm.eng.rdu2.redhat.com/
        disableCertificateVerification: true
        username: HIDDEN
        password: HIDDEN
      bootMACAddress: a0:36:9f:30:04:b4
      rootDeviceHints:
        deviceName: "/dev/nvme0n1"
      networkConfig:
        interfaces:
        - name: enP2p2s0f0
          type: ethernet
          state: up
          ipv4:
            enabled: true
            dhcp: true
          ipv6:
            enabled: true
            dhcp: true
        - name: enP2p2s0f1
          type: ethernet
          state: up
          ipv4:
            enabled: false
            dhcp: false
          ipv6:
            enabled: false
            dhcp: false
        - name: enP4p3s0u2u3c2
          type: ethernet
          state: up
          ipv4:
            enabled: false
            dhcp: false
          ipv6:
            enabled: false
            dhcp: false
    - name: worker-01
      role: worker
      bmc:
        address: ipmi://openshift-qe-040.mgmt.arm.eng.rdu2.redhat.com/
        disableCertificateVerification: true
        username: HIDDEN
        password: HIDDEN
      bootMACAddress: a0:36:9f:30:04:c4
      rootDeviceHints:
        deviceName: "/dev/nvme0n1"
      networkConfig:
        interfaces:
        - name: enP2p2s0f0
          type: ethernet
          state: up
          ipv4:
            enabled: true
            dhcp: true
          ipv6:
            enabled: true
            dhcp: true
        - name: enP2p2s0f1
          type: ethernet
          state: up
          ipv4:
            enabled: false
            dhcp: false
          ipv6:
            enabled: false
            dhcp: false
        - name: enP4p3s0u2u3c2
          type: ethernet
          state: up
          ipv4:
            enabled: false
            dhcp: false
          ipv6:
            enabled: false
            dhcp: false
    provisioningNetwork: Managed
pullSecret: HIDDEN
networking:
  clusterNetwork:
  - cidr: 10.128.0.0/14
    hostPrefix: 23
  serviceNetwork:
  - 172.30.0.0/16
  machineNetwork:
  - cidr: 192.168.90.0/24
  networkType: OVNKubernetes
publish: External
baseDomain: qeclusters.arm.eng.rdu2.redhat.com

